Page MenuHomePhabricator

build grafana package for stretch (upgrade grafana stretch package to 6.x?)
Closed, InvalidPublic

Description

As a subtask of T210008, if we want to migrate Grafana to a stretch host rather than jessie, we will need a package for strech.

Currently it would be:

E: Unable to locate package grafana


[install1002:~] $ sudo -i reprepro ls grafana
grafana | 4.6.4 | jessie-wikimedia | amd64

Event Timeline

Dzahn created this task.Nov 21 2018, 12:19 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 21 2018, 12:19 AM
Dzahn triaged this task as Normal priority.Nov 21 2018, 12:20 AM

The grafana package is imported from upstream so likely we'll have to update aptrepo to do the right thing and then import the package into reprepro (i.e. without (re)building from upstream)

Dzahn added a comment.May 22 2019, 9:03 PM

Just checked on this again and i notice that meanwhile somebody has done this.

[install1002:~] $ sudo -i reprepro ls grafana
grafana | 6.1.3 |  jessie-wikimedia | amd64
grafana | 5.4.2 | stretch-wikimedia | amd64

Though a bit surprised the stretch version looks older than the jessie version.

Resolved nevertheless?

Dzahn renamed this task from build grafana package for stretch to build grafana package for stretch (upgrade grafana stretch package to 6.x?).May 22 2019, 10:27 PM
Dzahn added a subscriber: CDanis.
Peter added a subscriber: Peter.Jun 14 2019, 5:05 AM
fgiunchedi closed this task as Invalid.Sep 2 2019, 8:20 AM

Resolving as invalid, we have T220838: Upgrade grafana to 6.x for grafana 6